---
title: Getting started with Java
keywords: Docker, getting started, java, language
description: Containerize Java apps using Docker
toc_min: 1
toc_max: 2
---

The Java getting started guide teaches you how to create a containerized Spring Boot application using Docker. In this module, you’ll learn how to:

* Clone and run a Spring Boot application with Maven
* Create a new Dockerfile which contains instructions required to build a Java image
* Run the newly built image as a container
* Set up a local development environment to connect a database to the container
* Use Docker Compose to run the Spring Boot application
* Configure a CI/CD pipeline for your application using GitHub Actions
* Deploy your application to the cloud

After completing the Java getting started modules, you should be able to containerize your own Java application based on the examples and instructions provided in this guide.

Let’s get started!

[Build your first Java image](build-images.md){: .button .primary-btn}

<br />
