---
description: Containerize Node.js apps using Docker
keywords: Docker, getting started, node, node.js, language
title: What will you learn in this module?
toc_min: 1
toc_max: 2
---

The Node.js getting started guide teaches you how to create a containerized Node.js application using Docker. In this guide, you’ll learn how to:

* Create a simple Node.js application
* Create a new Dockerfile which contains instructions required to build a Node.js image
* Run the newly built image as a container
* Set up a local development environment to connect a database to the container
* Use Docker Compose to run the Node.js application
* Configure a CI/CD pipeline for your application using GitHub Actions.

After completing the Node.js getting started modules, you should be able to containerize your own Node.js application based on the examples and instructions provided in this guide.

Let's get started!

[Build your Node.js image](build-images.md){: .button .primary-btn}

<br />
