---
description: Contribute to Docker documentation
keywords: Docker documentation, contributing, overview
title: Contribute to documentation
redirect_from:
- /contributing/
- /contributing/contributing/
- /opensource/code/
- /opensource/project/who-written-for/
- /opensource/project/software-required/
- /opensource/project/software-req-win/
- /opensource/project/set-up-git/
- /opensource/project/set-up-dev-env/
- /opensource/project/test-and-docs/
- /opensource/project/who-written-for/
- /opensource/workflow/advanced-contributing/
- /opensource/workflow/
- /opensource/workflow/coding-style/
- /opensource/workflow/create-pr/
- /opensource/workflow/find-an-issue/
- /opensource/workflow/make-a-contribution/
- /opensource/workflow/review-pr/
- /opensource/workflow/work-issue/
- /opensource/FAQ/
- /opensource/get-help/
- /opensource/code/
- /opensource/doc-style/
- /opensource/governance/
- /opensource/governance/dgab-info/
- /opensource/governance/board-profiles/
- /opensource/governance/conduct-code/

---

Contributing to the Docker documentation can be a rewarding experience. When you
offer feedback, questions, edits, or new content, you help us, the projects you
work on, and the larger Docker community. Feel free to create pull requests and
file issues. Our docs are completely open source and we deeply appreciate
contributions from the Docker community!

## Provide feedback

We’d love to hear your feedback. Please file documentation issues only in the
docs GitHub repository. You can file a new issue to suggest improvements or if
you see any errors in the existing documentation.

Before submitting a new issue, check whether the issue has already been
reported. You can join the discussion using an emoji, or by adding a comment to
an existing issue. If possible, we recommend that you suggest a fix to the issue
by creating a pull request.

You can ask general questions and get community support through the [Docker
Community Slack](http://dockr.ly/slack). Personalized support is available
through the Docker Pro, Team, and Business subscriptions. See [Docker
Pricing](https://www.docker.com/pricing) for details.

If you have an idea for a new feature or behavior change in a specific aspect of
Docker, or have found a product bug, file that issue in the project's code
repository.

We've made it really easy for you to file new issues.

- Click **New issue** on the docs repository and fill in the details, or
- Click **Request docs changes** in the right column of every page on
  docs.docker.com and add the details.

![Docs feedback on each page](/opensource/images/docs-site-feedback.png)

## Contribute to Docker docs

We value your contribution. We'd like to make it as easy as possible to submit
your contributions to the Docker docs repository. Changes to the docs are
handled through pull requests against the `master` branch. To learn how to
contribute, see
[CONTRIBUTING.md](https://github.com/docker/docker.github.io/blob/master/CONTRIBUTING.md).

For a demo of the components, tags, Markdown syntax, styles, used in Docker
documentation, see
[test.md](https://github.com/docker/docker.github.io/blob/master/test.md).
